MIDIPLAY(1)

NAME
midiplay - play MIDI files

SYNOPSIS
midiplay [-gmqvx] [-f device] [-t tempo] [file ...]

DESCRIPTION
The midiplay command plays MIDI files. If no file name is given it will play from standard input; otherwise it will play the named files.

The options are as follows:

-f device
    Specifies the name of the sndio(7) MIDI device.

-g  Send a “General MIDI On” system exclusive message to the device.

-m  Show MIDI file meta events (copyright, lyrics, etc.).

-q  Do not play the MIDI file, just parse it.

-t tempo
    Specifies the tempo. Default is 100.

-v  Be verbose. If the flag is repeated, the verbosity increases.

-x  Play a small sample sound.

SEE ALSO
aucat(1), midi(4), sndio(7)

HISTORY
The midiplay command first appeared in NetBSD 1.4.